Loading...
Searching...
No Matches
ne10_fir_sparse_instance_f32_t Struct Reference

Instance structure for the floating-point FIR Sparse filter. More...

`#include <NE10_types.h>`

## Public Attributes

ne10_uint16_t | numTaps
| Length of the filter.
ne10_uint16_t | stateIndex
| Index pointer for the state buffer .
ne10_float32_t * | pState
| Points to the state variable array.
ne10_float32_t * | pCoeffs
| Points to the coefficient array.
ne10_uint16_t | maxDelay
| the largest number of delay line values .
ne10_int32_t * | pTapDelay
| Pointer to the array containing positions of the non-zero tap values.

## Detailed Description

Instance structure for the floating-point FIR Sparse filter.

Definition at line 406 of file NE10_types.h.

## Member Data Documentation

## maxDelay

ne10_uint16_t ne10_fir_sparse_instance_f32_t::maxDelay

the largest number of delay line values .

Definition at line 412 of file NE10_types.h.

## numTaps

ne10_uint16_t ne10_fir_sparse_instance_f32_t::numTaps

Length of the filter.

Definition at line 408 of file NE10_types.h.

## pCoeffs

ne10_float32_t* ne10_fir_sparse_instance_f32_t::pCoeffs

Points to the coefficient array.

The array is of length numTaps.

Definition at line 411 of file NE10_types.h.

## pState

ne10_float32_t* ne10_fir_sparse_instance_f32_t::pState

Points to the state variable array.

The array is of length numTaps+maxBlockSize-1.

Definition at line 410 of file NE10_types.h.

## pTapDelay

ne10_int32_t* ne10_fir_sparse_instance_f32_t::pTapDelay

Pointer to the array containing positions of the non-zero tap values.

Definition at line 413 of file NE10_types.h.

## stateIndex

ne10_uint16_t ne10_fir_sparse_instance_f32_t::stateIndex

Index pointer for the state buffer .

Definition at line 409 of file NE10_types.h.

The documentation for this struct was generated from the following file:

- NE10_types.h